package com.isomorphic.examples.atmosphere.server;

import org.atmosphere.cpr.Broadcaster;
//import org.atmosphere.config.service.AtmosphereService;
//import org.atmosphere.jersey.JerseyBroadcaster;
import org.atmosphere.jersey.SuspendResponse;

import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.GET;
import javax.ws.rs.Path;

@Path("/rpc/{channelid}")
public class JerseyRpc {
	
	private 
	@PathParam("channelid") 
	Broadcaster channel; 
	
	@GET
	@Produces("application/json")
	public SuspendResponse<String> suspend() {
		return new SuspendResponse.SuspendResponseBuilder<String>()
        .broadcaster(channel)
        .build();
	}
}